Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.connections
Class QueueConnectionImpl

    java.lang.Object
      net.sf.dropboxmq.connections.ConnectionImpl
          net.sf.dropboxmq.connections.QueueConnectionImpl

All Implemented Interfaces:
  Connection, QueueConnection

    public class QueueConnectionImpl

extends ConnectionImpl
implements QueueConnection

Created: 09 Oct 2005

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Field Summary

Fields inherited from class net.sf.dropboxmq.connections.ConnectionImpl
`JMS_PROVIDER_NAME, JMSX_DELIVERY_COUNT, JMSX_GROUP_ID, JMSX_GROUP_SEQ, PROVIDER_VERSION`

Constructor Summary
`QueueConnectionImpl(ManagedConnectionImpl managedConnection, Configuration configuration)`

Method Summary
`ConnectionConsumer` | `createConnectionConsumer(Queue queue, String messageSelector, ServerSessionPool sessionPool, int maxMessages)` Creates a connection consumer for this connection (optional operation).
`ConnectionConsumer` | `createDurableConnectionConsumer(Topic topic, String subscriptionName, String messageSelector, ServerSessionPool sessionPool, int maxMessages)` Create a durable connection consumer for this connection (optional operation).
`QueueSession` | `createQueueSession(boolean transacted, int acknowledgeMode)` Creates a `QueueSession` object.

Methods inherited from class net.sf.dropboxmq.connections.ConnectionImpl
`addDurableSubscriptionName, addSession, checkClosed, close, createConnectionConsumer, createNonXASession, createSession, getClientID, getConfiguration, getExceptionListener, getLocalClientID, getLock, getManagedConnection, getMetaData, newDropboxTransaction, removeDurableSubscriptionName, removeServerConsumer, removeSession, setClientID, setExceptionListener, start, stop, toObjectString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Connection
`close, createConnectionConsumer, createSession, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Constructor Detail

### QueueConnectionImpl

    public QueueConnectionImpl(ManagedConnectionImpl managedConnection,
                               Configuration configuration)
                        throws JMSException

Throws:
  `JMSException`

Method Detail

### createQueueSession

    public QueueSession createQueueSession(boolean transacted,
                                           int acknowledgeMode)
                                    throws JMSException

  Description copied from interface: `javax.jms.QueueConnection`
  Creates a `QueueSession` object.

  Specified by:
    `createQueueSession` in interface `QueueConnection`
  Parameters:
    `transacted` - indicates whether the session is transacted
    `acknowledgeMode` - indicates whether the consumer or the client will acknowledge any messages it receives; ignored if the session is transacted. Legal values are `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, and `Session.DUPS_OK_ACKNOWLEDGE`.
  Returns:
    a newly created queue session
  Throws:
    `JMSException` - if the `QueueConnection` object fails to create a session due to some internal error or lack of support for the specific transaction and acknowledgement mode.
  See Also:
    `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`

### createConnectionConsumer

    public ConnectionConsumer createConnectionConsumer(Queue queue,
                                                       String messageSelector,
                                                       ServerSessionPool sessionPool,
                                                       int maxMessages)
                                                throws JMSException

  Description copied from interface: `javax.jms.QueueConnection`
  Creates a connection consumer for this connection (optional operation). This is an expert facility not used by regular JMS clients.

  Specified by:
    `createConnectionConsumer` in interface `QueueConnection`
  Parameters:
    `queue` - the queue to access
    `messageSelector` - only messages with properties matching the message selector expression are delivered. A value of null or an empty string indicates that there is no message selector for the message consumer.
    `sessionPool` - the server session pool to associate with this connection consumer
    `maxMessages` - the maximum number of messages that can be assigned to a server session at one time
  Returns:
    the connection consumer
  Throws:
    `JMSException` - if the `QueueConnection` object fails to create a connection consumer due to some internal error or invalid arguments for `sessionPool` and `messageSelector`.
    `InvalidSelectorException` - if the message selector is invalid.
  See Also:
    `ConnectionConsumer`

### createDurableConnectionConsumer

    public ConnectionConsumer createDurableConnectionConsumer(Topic topic,
                                                              String subscriptionName,
                                                              String messageSelector,
                                                              ServerSessionPool sessionPool,
                                                              int maxMessages)
                                                       throws JMSException

  Description copied from interface: `javax.jms.Connection`
  Create a durable connection consumer for this connection (optional operation). This is an expert facility not used by regular JMS clients.

  Specified by:
    `createDurableConnectionConsumer` in interface `Connection`
  Overrides:
    `createDurableConnectionConsumer` in class `ConnectionImpl`
  Parameters:
    `topic` - topic to access
    `subscriptionName` - durable subscription name
    `messageSelector` - only messages with properties matching the message selector expression are delivered. A value of null or an empty string indicates that there is no message selector for the message consumer.
    `sessionPool` - the server session pool to associate with this durable connection consumer
    `maxMessages` - the maximum number of messages that can be assigned to a server session at one time
  Returns:
    the durable connection consumer
  Throws:
    `JMSException` - if the `Connection` object fails to create a connection consumer due to some internal error or invalid arguments for `sessionPool` and `messageSelector`.
    `InvalidSelectorException` - if the message selector is invalid.
  See Also:
    `ConnectionConsumer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD